import 'package:flutter/material.dart';
import 'package:syncrow_app/features/dashboard/view/widgets/live_monitor_widget.dart';
import 'package:syncrow_app/utils/resource_manager/strings_manager.dart';

import 'package:syncrow_app/generated/assets.dart';

class LiveMonitorTab extends StatelessWidget {
  const LiveMonitorTab({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return const Row(
      children: [
        Expanded(
          child: LiveMonitorWidget(
            image: Assets.assetsIconsActive,
            title: StringsManager.active,
            value: '10.00w',
          ),
        ),
        Expanded(
          child: LiveMonitorWidget(
            image: Assets.assetsIconsVoltMeter,
            title: StringsManager.current,
            value: '12.1 A',
          ),
        ),
        Expanded(
          child: LiveMonitorWidget(
            image: Assets.assetsIconsFrequency,
            title: StringsManager.frequency,
            value: '50 Hz',
          ),
        ),
      ],
    );
  }
}
